Skip to main content
GET
/
api
/
accounts
/
{id}
Get account
curl --request GET \
  --url https://api.easierprop.com/api/accounts/{id} \
  --header 'X-API-Key: <api-key>'
{
  "ok": true,
  "data": {
    "id": "70f60784-20f1-45ba-9a04-8e01c0b810c3",
    "label": "ICMarkets Demo",
    "broker_host": "mt5-demo.icmarkets.com",
    "broker_port": 443,
    "server_name": "ICMarketsSC-Demo",
    "mt5_login": 51234567,
    "is_enabled": true,
    "auto_connect": false,
    "hardware_id": "<string>",
    "has_proxy": false,
    "session_status": "disconnected",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

Client API key (prefixed with sk_)

Path Parameters

id
string<uuid>
required

Account ID

Response

Account

ok
boolean
Example:

true

data
object